[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.MouseUp

Handles a mouse up event for the control.

## Declaration

Source position: comctrls.pp line 3626

`protected procedure TCustomTreeView.MouseUp(`
`Button: TMouseButton;`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); override;`

## Arguments

`Button` |  | Mouse button for the mouse up event.
`Shift` |  | Shift, Ctrl, or Alt modifier for the mouse up event.
`X` |  | Horizontal coordinate for the mouse pointer in the mouse up event.
`Y` |  | Vertical coordinate for the mouse pointer in the mouse up event.

## Description

MouseUp is an overridden method in TCustomTreeView used to perform actions needed when a mouse up event occurs on the tree view control. In TCustomTreeView, it ensures that a visible hint window is closed before handling the mouse up event. It calls the inherited method to signal the OnMouseUp event handler (when assigned).

If PopupMenu is assigned, a right-shifted right mouse button click causes the method to be exited to process the context menu request. (Nota bene: RShift + RButton specifically; the code does not handle LShift + RButton.)

For a Left mouse button up event, the control tries to select the tree node under the pointer or toggle the editor state on a already selected tree node. Use ReadOnly to enable or disable the tree node editor when the mouse up event is handled.

Values in the States property are updated prior to exiting from the method.

## See also

TControl.MouseUp |  | Signals the OnMouseUp handler.